//	Zinc Interface Library - Z_TIME.CPP
//	COPYRIGHT (C) 1990-1995.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA
/* This file is part of OpenZinc

OpenZinc is free software: You can redistribute it and/or modify it
 under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the license or
 (at your option) any later version.

OpenZinc is distributed in the hope that it will be useful,
but without ANY WARRANTY; without even the implied warranty of
MARCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lessor Public license for more details

You should have received a copy of the GNU Lessor Public License
along with OpenZinc. If not, see <http://www.gnu.org/licenses/>.
*/


#include "i18n.hpp"
#define USE_ZIL_TIME
#include "p_i18n.hpp"

// ----- ZIL_TIME -----------------------------------------------------------

void ZAF_LANGUAGE_WINDOW::ZIL_TIME_DataLoad(void)
{
	// Load the object data.
	SetText(AM_PTR, ZIL_AM);
	SetText(PM_PTR, ZIL_PM);
	SetText(TIME_ZONE, ZIL_TZ);
}

void ZAF_LANGUAGE_WINDOW::ZIL_TIME_DataStore(void)
{
	// Store the object data.
	GetText(AM_PTR, ZIL_AM);
	GetText(PM_PTR, ZIL_PM);
	GetText(TIME_ZONE, ZIL_TZ);
}

